summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAnthony G. Basile <blueness@gentoo.org>2019-11-09 10:07:57 -0500
committerAnthony G. Basile <blueness@gentoo.org>2019-11-09 10:08:08 -0500
commit1a6911244af9987091def8e0a27b166eca234294 (patch)
tree221a4372fe3a10820403b6cff65eaa054be270bb
parentnet-dns/avahi: DEPEND on glib-util, bug #667724 (diff)
downloadgentoo-1a6911244af9987091def8e0a27b166eca234294.tar.gz
gentoo-1a6911244af9987091def8e0a27b166eca234294.tar.bz2
gentoo-1a6911244af9987091def8e0a27b166eca234294.zip
net-dns/avahi: remove older versions
Package-Manager: Portage-2.3.76, Repoman-2.3.16 Signed-off-by: Anthony G. Basile <blueness@gentoo.org>
-rw-r--r--net-dns/avahi/Manifest1
-rw-r--r--net-dns/avahi/avahi-0.6.32.ebuild228
-rw-r--r--net-dns/avahi/avahi-0.7-r1.ebuild217
-rw-r--r--net-dns/avahi/metadata.xml2
4 files changed, 0 insertions, 448 deletions
diff --git a/net-dns/avahi/Manifest b/net-dns/avahi/Manifest
index 8e6cbabbc29..6bf6b289a81 100644
--- a/net-dns/avahi/Manifest
+++ b/net-dns/avahi/Manifest
@@ -1,2 +1 @@
-DIST avahi-0.6.32.tar.gz 934004 BLAKE2B 76bbff65075bbc49d52b1e406373c4856622c22364cb5f1a4ccc0bf04a6dc7d54c58753a8cce6622e4fc62dc22086659ffbd157aeb1a6a30de353d08fd08a307 SHA512 e6dc788cc8691288ef001007006719b5eb022d484ee6fc84e68a7d227af5993e4d09484b824998155e5b25fc0ffc014beb8961d312982f63b82b10a6e2edee18
DIST avahi-0.7.tar.gz 940047 BLAKE2B 8299577bf27ee65fad5d743dbf94202b148a6fc86825cae303f94c44482eea07cf6570d970ca286e81a787d6a64598b7123f2ac17a259ddc50ef431b9c94b530 SHA512 61f656da7614d8cca1862180038f571db3474c84f05db4d3509f614cdbf8b1a1047661b7e24d63682d5b48ed1bfa1b08b3c9e6dbe9222bcd62d99bc168a11abe
diff --git a/net-dns/avahi/avahi-0.6.32.ebuild b/net-dns/avahi/avahi-0.6.32.ebuild
deleted file mode 100644
index a6428d5d20d..00000000000
--- a/net-dns/avahi/avahi-0.6.32.ebuild
+++ /dev/null
@@ -1,228 +0,0 @@
-# Copyright 1999-2018 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI="5"
-
-PYTHON_COMPAT=( python2_7 )
-PYTHON_REQ_USE="gdbm"
-
-WANT_AUTOMAKE=1.11
-
-inherit autotools eutils flag-o-matic multilib multilib-minimal mono-env python-r1 systemd user
-
-DESCRIPTION="System which facilitates service discovery on a local network"
-HOMEPAGE="http://avahi.org/"
-SRC_URI="https://github.com/lathiat/avahi/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-
-S="${WORKDIR}/${P}"
-
-LICENSE="LGPL-2.1"
-SLOT="0"
-KEYWORDS="hppa"
-IUSE="autoipd bookmarks dbus doc gdbm gtk gtk3 howl-compat +introspection ipv6 kernel_linux mdnsresponder-compat mono nls python selinux test utils"
-
-REQUIRED_USE="
- utils? ( || ( gtk gtk3 ) )
- python? ( dbus gdbm ${PYTHON_REQUIRED_USE} )
- mono? ( dbus )
- howl-compat? ( dbus )
- mdnsresponder-compat? ( dbus )
-"
-
-COMMON_DEPEND="
- dev-libs/libdaemon
- dev-libs/expat
- dev-libs/glib:2[${MULTILIB_USEDEP}]
- gdbm? ( sys-libs/gdbm:=[${MULTILIB_USEDEP}] )
- gtk? ( x11-libs/gtk+:2[${MULTILIB_USEDEP}] )
- gtk3? ( x11-libs/gtk+:3[${MULTILIB_USEDEP}] )
- dbus? ( sys-apps/dbus[${MULTILIB_USEDEP}] )
- kernel_linux? ( sys-libs/libcap )
- introspection? ( dev-libs/gobject-introspection:= )
- mono? (
- dev-lang/mono
- gtk? ( dev-dotnet/gtk-sharp )
- )
- python? (
- ${PYTHON_DEPS}
- gtk? ( dev-python/pygtk )
- dbus? ( dev-python/dbus-python )
- )
- bookmarks? (
- dev-python/twisted-core
- dev-python/twisted-web
- )
-"
-
-DEPEND="
- ${COMMON_DEPEND}
- doc? ( app-doc/doxygen )
- app-doc/xmltoman
- dev-util/intltool
- virtual/pkgconfig[${MULTILIB_USEDEP}]
-"
-
-RDEPEND="
- ${COMMON_DEPEND}
- howl-compat? ( !net-misc/howl )
- mdnsresponder-compat? ( !net-misc/mDNSResponder )
- selinux? ( sec-policy/selinux-avahi )
-"
-
-pkg_preinst() {
- enewgroup netdev
- enewgroup avahi
- enewuser avahi -1 -1 -1 avahi
-
- if use autoipd; then
- enewgroup avahi-autoipd
- enewuser avahi-autoipd -1 -1 -1 avahi-autoipd
- fi
-}
-
-pkg_setup() {
- use mono && mono-env_pkg_setup
-}
-
-src_prepare() {
- if ! use ipv6; then
- sed -i \
- -e s/use-ipv6=yes/use-ipv6=no/ \
- avahi-daemon/avahi-daemon.conf || die
- fi
-
- sed -i\
- -e "s:\\.\\./\\.\\./\\.\\./doc/avahi-docs/html/:../../../doc/${PF}/html/:" \
- doxygen_to_devhelp.xsl || die
-
- # Make gtk utils optional
- # https://github.com/lathiat/avahi/issues/24
- epatch "${FILESDIR}"/${PN}-0.6.30-optional-gtk-utils.patch
-
- # Don't install avahi-discover unless ENABLE_GTK_UTILS, bug #359575
- # https://github.com/lathiat/avahi/issues/24
- epatch "${FILESDIR}"/${PN}-0.6.31-fix-install-avahi-discover.patch
-
- # Fix build under various locales, bug #501664
- # https://github.com/lathiat/avahi/issues/27
- epatch "${FILESDIR}"/${PN}-0.6.31-fix-locale-build.patch
-
- # Bug #525832
- epatch_user
-
- # Prevent .pyc files in DESTDIR
- >py-compile
-
- eautoreconf
-
- # bundled manpages
- multilib_copy_sources
-}
-
-src_configure() {
- # those steps should be done once-per-ebuild rather than per-ABI
- use sh && replace-flags -O? -O0
- use python && python_export_best
-
- # We need to unset DISPLAY, else the configure script might have problems detecting the pygtk module
- unset DISPLAY
-
- multilib-minimal_src_configure
-}
-
-multilib_src_configure() {
- local myconf=( --disable-static )
-
- if use python; then
- myconf+=(
- $(multilib_native_use_enable dbus python-dbus)
- $(multilib_native_use_enable gtk pygtk)
- )
- fi
-
- if use mono; then
- myconf+=( $(multilib_native_use_enable doc monodoc) )
- fi
-
- if ! multilib_is_native_abi; then
- myconf+=(
- # used by daemons only
- --disable-libdaemon
- --with-xml=none
- )
- fi
-
- econf \
- --localstatedir="${EPREFIX}/var" \
- --with-distro=gentoo \
- --disable-python-dbus \
- --disable-pygtk \
- --enable-manpages \
- --enable-xmltoman \
- --disable-monodoc \
- --enable-glib \
- --enable-gobject \
- $(multilib_native_use_enable test tests) \
- $(multilib_native_use_enable autoipd) \
- $(use_enable mdnsresponder-compat compat-libdns_sd) \
- $(use_enable howl-compat compat-howl) \
- $(multilib_native_use_enable doc doxygen-doc) \
- $(multilib_native_use_enable mono) \
- $(use_enable dbus) \
- $(multilib_native_use_enable python) \
- $(use_enable gtk) \
- $(use_enable gtk3) \
- $(use_enable nls) \
- $(multilib_native_use_enable introspection) \
- $(multilib_native_use_enable utils gtk-utils) \
- --disable-qt3 \
- --disable-qt4 \
- $(use_enable gdbm) \
- $(systemd_with_unitdir) \
- "${myconf[@]}"
-}
-
-multilib_src_compile() {
- emake
-
- multilib_is_native_abi && use doc && emake avahi.devhelp
-}
-
-multilib_src_install() {
- emake install DESTDIR="${D}"
- use bookmarks && use python && use dbus && use gtk || \
- rm -f "${ED}"/usr/bin/avahi-bookmarks
-
- # https://github.com/lathiat/avahi/issues/28
- use howl-compat && dosym avahi-compat-howl.pc /usr/$(get_libdir)/pkgconfig/howl.pc
- use mdnsresponder-compat && dosym avahi-compat-libdns_sd/dns_sd.h /usr/include/dns_sd.h
-
- if multilib_is_native_abi && use doc; then
- dohtml -r doxygen/html/. || die
- insinto /usr/share/devhelp/books/avahi
- doins avahi.devhelp || die
- fi
-}
-
-multilib_src_install_all() {
- if use autoipd; then
- insinto /$(get_libdir)/rcscripts/net
- doins "${FILESDIR}"/autoipd.sh
-
- insinto /$(get_libdir)/netifrc/net
- newins "${FILESDIR}"/autoipd-openrc.sh autoipd.sh
- fi
-
- dodoc docs/{AUTHORS,NEWS,README,TODO}
-
- prune_libtool_files --all
-}
-
-pkg_postinst() {
- if use autoipd; then
- elog
- elog "To use avahi-autoipd to configure your interfaces with IPv4LL (RFC3927)"
- elog "addresses, just set config_<interface>=( autoipd ) in /etc/conf.d/net!"
- elog
- fi
-}
diff --git a/net-dns/avahi/avahi-0.7-r1.ebuild b/net-dns/avahi/avahi-0.7-r1.ebuild
deleted file mode 100644
index 9c34a955fcd..00000000000
--- a/net-dns/avahi/avahi-0.7-r1.ebuild
+++ /dev/null
@@ -1,217 +0,0 @@
-# Copyright 1999-2018 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI="6"
-
-PYTHON_COMPAT=( python2_7 )
-PYTHON_REQ_USE="gdbm"
-
-WANT_AUTOMAKE=1.11
-
-inherit autotools eutils flag-o-matic multilib multilib-minimal mono-env python-r1 systemd user
-
-DESCRIPTION="System which facilitates service discovery on a local network"
-HOMEPAGE="http://avahi.org/"
-SRC_URI="https://github.com/lathiat/avahi/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-
-S="${WORKDIR}/${P}"
-
-LICENSE="LGPL-2.1"
-SLOT="0"
-KEYWORDS="alpha amd64 arm arm64 hppa ia64 ~mips ppc ppc64 s390 sparc x86"
-IUSE="autoipd bookmarks dbus doc gdbm gtk gtk3 howl-compat +introspection ipv6 kernel_linux mdnsresponder-compat mono nls python qt5 selinux test"
-
-REQUIRED_USE="
- python? ( dbus gdbm ${PYTHON_REQUIRED_USE} )
- mono? ( dbus )
- howl-compat? ( dbus )
- mdnsresponder-compat? ( dbus )
-"
-
-COMMON_DEPEND="
- dev-libs/libdaemon
- dev-libs/expat
- dev-libs/glib:2[${MULTILIB_USEDEP}]
- gdbm? ( sys-libs/gdbm:=[${MULTILIB_USEDEP}] )
- qt5? ( dev-qt/qtcore:5 )
- gtk? ( x11-libs/gtk+:2[${MULTILIB_USEDEP}] )
- gtk3? ( x11-libs/gtk+:3[${MULTILIB_USEDEP}] )
- dbus? ( sys-apps/dbus[${MULTILIB_USEDEP}] )
- kernel_linux? ( sys-libs/libcap )
- introspection? ( dev-libs/gobject-introspection:= )
- mono? (
- dev-lang/mono
- gtk? ( dev-dotnet/gtk-sharp )
- )
- python? (
- ${PYTHON_DEPS}
- dbus? ( dev-python/dbus-python[${PYTHON_USEDEP}] )
- introspection? ( dev-python/pygobject:3[${PYTHON_USEDEP}] )
- )
- bookmarks? (
- ${PYTHON_DEPS}
- >=dev-python/twisted-16.0.0[${PYTHON_USEDEP}]
- )
-"
-
-DEPEND="
- ${COMMON_DEPEND}
- doc? ( app-doc/doxygen )
- app-doc/xmltoman
- dev-util/intltool
- virtual/pkgconfig[${MULTILIB_USEDEP}]
-"
-
-RDEPEND="
- ${COMMON_DEPEND}
- howl-compat? ( !net-misc/howl )
- mdnsresponder-compat? ( !net-misc/mDNSResponder )
- selinux? ( sec-policy/selinux-avahi )
-"
-
-MULTILIB_WRAPPED_HEADERS=( /usr/include/avahi-qt5/qt-watch.h )
-
-PATCHES=( "${FILESDIR}/${P}-qt5.patch" )
-
-pkg_preinst() {
- enewgroup netdev
- enewgroup avahi
- enewuser avahi -1 -1 -1 avahi
-
- if use autoipd; then
- enewgroup avahi-autoipd
- enewuser avahi-autoipd -1 -1 -1 avahi-autoipd
- fi
-}
-
-pkg_setup() {
- use mono && mono-env_pkg_setup
-}
-
-src_prepare() {
- default
-
- if ! use ipv6; then
- sed -i \
- -e s/use-ipv6=yes/use-ipv6=no/ \
- avahi-daemon/avahi-daemon.conf || die
- fi
-
- sed -i\
- -e "s:\\.\\./\\.\\./\\.\\./doc/avahi-docs/html/:../../../doc/${PF}/html/:" \
- doxygen_to_devhelp.xsl || die
-
- # Prevent .pyc files in DESTDIR
- >py-compile
-
- eautoreconf
-
- # bundled manpages
- multilib_copy_sources
-}
-
-src_configure() {
- # those steps should be done once-per-ebuild rather than per-ABI
- use sh && replace-flags -O? -O0
- use python && python_setup
-
- multilib-minimal_src_configure
-}
-
-multilib_src_configure() {
- local myconf=( --disable-static )
-
- if use python; then
- myconf+=(
- $(multilib_native_use_enable dbus python-dbus)
- $(multilib_native_use_enable introspection pygobject)
- )
- fi
-
- if use mono; then
- myconf+=( $(multilib_native_use_enable doc monodoc) )
- fi
-
- if ! multilib_is_native_abi; then
- myconf+=(
- # used by daemons only
- --disable-libdaemon
- --with-xml=none
- )
- fi
-
- myconf+=( $(multilib_native_use_enable qt5) )
-
- econf \
- --localstatedir="${EPREFIX}/var" \
- --with-distro=gentoo \
- --disable-python-dbus \
- --enable-manpages \
- --enable-xmltoman \
- --disable-monodoc \
- --enable-glib \
- --enable-gobject \
- $(multilib_native_use_enable test tests) \
- $(multilib_native_use_enable autoipd) \
- $(use_enable mdnsresponder-compat compat-libdns_sd) \
- $(use_enable howl-compat compat-howl) \
- $(multilib_native_use_enable doc doxygen-doc) \
- $(multilib_native_use_enable mono) \
- $(use_enable dbus) \
- $(multilib_native_use_enable python) \
- $(use_enable gtk) \
- $(use_enable gtk3) \
- $(use_enable nls) \
- $(multilib_native_use_enable introspection) \
- --disable-qt3 \
- --disable-qt4 \
- $(use_enable gdbm) \
- --with-systemdsystemunitdir="$(systemd_get_systemunitdir)" \
- "${myconf[@]}"
-}
-
-multilib_src_compile() {
- emake
-
- multilib_is_native_abi && use doc && emake avahi.devhelp
-}
-
-multilib_src_install() {
- emake install DESTDIR="${D}"
- use bookmarks && use python && use dbus && use gtk || \
- rm -f "${ED}"/usr/bin/avahi-bookmarks
-
- # https://github.com/lathiat/avahi/issues/28
- use howl-compat && dosym avahi-compat-howl.pc /usr/$(get_libdir)/pkgconfig/howl.pc
- use mdnsresponder-compat && dosym avahi-compat-libdns_sd/dns_sd.h /usr/include/dns_sd.h
-
- if multilib_is_native_abi && use doc; then
- docinto html
- dodoc -r doxygen/html/.
- insinto /usr/share/devhelp/books/avahi
- doins avahi.devhelp || die
- fi
-}
-
-multilib_src_install_all() {
- if use autoipd; then
- insinto /$(get_libdir)/rcscripts/net
- doins "${FILESDIR}"/autoipd.sh
-
- insinto /$(get_libdir)/netifrc/net
- newins "${FILESDIR}"/autoipd-openrc.sh autoipd.sh
- fi
-
- dodoc docs/{AUTHORS,NEWS,README,TODO}
-
- prune_libtool_files --all
-}
-
-pkg_postinst() {
- if use autoipd; then
- elog
- elog "To use avahi-autoipd to configure your interfaces with IPv4LL (RFC3927)"
- elog "addresses, just set config_<interface>=( autoipd ) in /etc/conf.d/net!"
- elog
- fi
-}
diff --git a/net-dns/avahi/metadata.xml b/net-dns/avahi/metadata.xml
index aa917b89cf2..dab8c057129 100644
--- a/net-dns/avahi/metadata.xml
+++ b/net-dns/avahi/metadata.xml
@@ -15,8 +15,6 @@
avahi utilities under USE=utils</flag>
<flag name="mdnsresponder-compat">Enable compat libraries for
mDNSResponder</flag>
- <flag name="utils">Install the avahi gtk+ utils avahi-discover, bssh, and
- bvnc</flag>
</use>
<upstream>
<remote-id type="github">lathiat/avahi</remote-id>